%% Test NonHomogeneousPoissonProcess.m function

%% clean the workspace
clear all; %Removes all variables, functions, and MEX-files from memory, leaving the workspace empty
close all; % delete all figures whose handles are not hidden
clc; % clear command window


%% Input
T = 10; % [-] Duration of the Poisson process

% Nonhomogeneous Poisson Process rate defined by the function lambdaFunction 
global lambdaFunctionParameter; lambdaFunctionParameter = 4; % Parameter defining the shape of lambdaFunction
MaxLambda = lambdaFunctionParameter*2; % Maximum vales of lambda over the Poisson process interval [0,T].
                % See the definition of lambdaFunction(). Comment out the following line to plot lambdaFunction
                % ezplot(@lambdaFunction,0,T); xlabel('t time'); ylabel('lambda(t)');

DrawsNumber = 1000;  % [-] Number of Poisson process to be drawn

%% Programm
allArrivals = [];   % [-] (vector) Initialize the vector containing all arrival times for all drawn Poisson process

for it = 1:DrawsNumber   % For all drawn Poisson process
	arrivals    = NonhomogeneousPoissonProcess(@lambdaFunction, MaxLambda, T);   % return all the arrivals in this process
    allArrivals = [allArrivals, arrivals];  % Store all the arrival of all processes
end

figure;
hist(allArrivals, 12);  % Plot the histogram of the arrival time
xlabel('Arrival time inside the Poisson process period');
ylabel('Frequency [-] number of arrivals');